> For the complete documentation index, see [llms.txt](https://docs.ionos.com/cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ionos.com/cloud/ruby/vm-autoscaling/models/replicavolumeget.md).

# ReplicaVolumeGet

## Properties

| Name               | Type                                                                  | Description                                                                                                                                                                                                                                                                                                                                                                             | Notes                             |
| ------------------ | --------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | --------------------------------- |
| **image**          | **String**                                                            | The image installed on the disk. Currently, only the UUID of the image is supported. >Note that either 'image' or 'imageAlias' must be specified, but not both.                                                                                                                                                                                                                         | \[optional]                       |
| **image\_alias**   | **String**                                                            | The image installed on the volume. Must be an 'imageAlias' as specified via the images API. Note that one of 'image' or 'imageAlias' must be set, but not both.                                                                                                                                                                                                                         | \[optional]                       |
| **name**           | **String**                                                            | The replica volume name.                                                                                                                                                                                                                                                                                                                                                                |                                   |
| **size**           | **Integer**                                                           | The size of this replica volume in GB.                                                                                                                                                                                                                                                                                                                                                  |                                   |
| **ssh\_keys**      | **Array\<String>**                                                    | The SSH keys of this volume.                                                                                                                                                                                                                                                                                                                                                            | \[optional]                       |
| **type**           | [**VolumeHwType**](/cloud/ruby/vm-autoscaling/models/volumehwtype.md) |                                                                                                                                                                                                                                                                                                                                                                                         |                                   |
| **user\_data**     | **String**                                                            | The user data (Cloud Init) for this replica volume.                                                                                                                                                                                                                                                                                                                                     | \[optional]                       |
| **bus**            | [**BusType**](/cloud/ruby/vm-autoscaling/models/bustype.md)           |                                                                                                                                                                                                                                                                                                                                                                                         | \[optional]\[default to 'VIRTIO'] |
| **backupunit\_id** | **String**                                                            | The ID of the backup unit that the user has access to. The property is immutable and is only allowed to be set on creation of a new a volume. It is mandatory to provide either 'public image' or 'imageAlias' in conjunction with this property.                                                                                                                                       | \[optional]                       |
| **boot\_order**    | **String**                                                            | Determines whether the volume will be used as a boot volume. Set to NONE, the volume will not be used as boot volume. Set to PRIMARY, the volume will be used as boot volume and set to AUTO will delegate the decision to the provisioning engine to decide whether to use the voluem as boot volume. Notice that exactly one volume can be set to PRIMARY or all of them set to AUTO. |                                   |

## Example

```ruby
require 'ionoscloud-vm-autoscaling'

instance = IonoscloudVmAutoscaling::ReplicaVolumeGet.new(
  image: 6e928bd0-3a8e-4821-a20a-54984b0c2d21,
  image_alias: ubuntu:latest,
  name: Volume 1,
  size: 30,
  ssh_keys: null,
  type: null,
  user_data: ZWNobyAiSGVsbG8sIFdvcmxkIgo=,
  bus: null,
  backupunit_id: 25f67991-0f51-4efc-a8ad-ef1fb31a481c,
  boot_order: AUTO
)
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ionos.com/cloud/ruby/vm-autoscaling/models/replicavolumeget.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
